aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-filerepresentation
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-filerepresentation')
-rw-r--r--dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild16
1 files changed, 9 insertions, 7 deletions
diff --git a/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild b/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
index b23686c..9076a0d 100644
--- a/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
+++ b/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
@@ -20,13 +20,15 @@ KEYWORDS="~amd64"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
dev-python/zope-schema[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
doc? (
dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
)
test? ( dev-python/zope-testrunner[${PYTHON_USEDEP}] )
"
-DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
distutils_enable_tests setup.py
@@ -42,12 +44,12 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-python_compile_all() {
- echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
- "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
- build_sphinx docs
- rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
-}
+# python_compile_all() {
+# echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+# "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+# build_sphinx docs
+# rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+# }
python_test() {
distutils_write_namespace zope